SGI2FAX(1)

NAME
sgi2fax - convert a Silicon Graphics image file for facsimile transmission

SYNOPSIS
/usr/local/sbin/sgi2fax [ options ] files...

DESCRIPTION
sgi2fax converts Silicon Graphics format images to bilevel TIFF Class F images in preparation for transmission as facsimile. sgi2fax is not normally invoked directly; it is usually run by sendfax(1) when an SGI image file is submitted for transmission.

Images are converted by scaling them to fill the guaranteed reproducible area on a default page. Each RGB pixel p is converted to greyscale according to:

pr * %r + pg * %g + pb * %b

where %r, %g, and %b default to 30, 59, and 11, respectively. Greyscale images are then process with a high pass filter and dithered to a bilevel image. The resultant image are written as a TIFF Class F document.

By default, the output image is created with 204 dots/inch horizontal resolution and 98 lines/inch vertical resolution. The image is written as Group 3 1D-encoded data.

OPTIONS

-1  (-2) Write the image as Group 3 1D- (2D-) encoded data.

-b %b
    Set the %b parameter used to convert color pixel values to greyscale pixel values.

-g %g
    Set the %g parameter used to convert color pixel values to greyscale pixel values.

-l  Generate an image at 98 lines/inch vertical resolution. know as low resolution.

-m  Generate an image at 196 lines/inch vertical resolution.

-o file
    Write output to file instead of the default file named sgi.fax.

-r %r
    Set the %r parameter used to convert color pixel values to greyscale pixel values.

-s size
    Set the output size according to the named page size. Images are normally created with a system-default page size (usually letter-size pages, 8.5" by 11", for sites in North America). Alternate page sizes are specified symbolically using either the name or abbreviation of an entry in the pagesizes(5F) database; e.g. a3 (ISO A3), a4 (ISO A4), a5 (ISO A5), a6 (ISO A6), b4 (ISO B4), na-let (North American Letter), us-leg (American Legal), us-led (American Ledger), us-exe (American Executive), jp-let (Japanese Letter), and jp-leg (Japanese Legal). Comparisons are case-insensitive and any match of a substring of the full page-size name is sufficient; e.g. ``legal'' would match ``American Legal''.

FILES
/usr/local/lib/fax/pagesizes    page size database

SEE ALSO
hylafax-client(1), sendfax(1), hylafax-server(5F)